%define name	gsnmp
%define lib_major	0
%define	lib_name	%mklibname %{name} %{lib_major}
%define develname	%mklibname %{name} -d

Summary:	An SNMP library implementation based on glib and gnet
Name:		%{name}
Version:	0.2.0
Release:	%mkrel 5
License:	GPL
Group:		Networking/Other
URL:		http://www.ibr.cs.tu-bs.de/projects/scli/
Source0:	ftp://ftp.ibr.cs.tu-bs.de/local/gsnmp/%{name}-%{version}.tar.bz2
Patch0:		gsnmp-linkage_fix.diff
BuildRequires:	libxml2-devel
BuildRequires:	readline-devel
BuildRequires:	ncurses-devel
BuildRequires:	libglib2-devel
BuildRequires:	libgnet2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GNET-SNMP is an SNMP library implementation based on glib and gnet. This
library has been developed as part of the scli package (an SNMP command line
interface).  Some examples demonstrating the API can be found in the examples
directory.  Some examples use stub files generated by the smidump MIB compiler,
which is part of the libsmi package.

%package -n	%{lib_name}
Summary:	A library of functions for the snmp protocol
Group:		System/Libraries

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with libgsnmp.

%package -n 	%{develname}
Summary:	Development tools for the snmp protocol
Group:		Development/C
Requires:	%{lib_name} = %{version}-%{release} glib2-devel
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{lib_name}-devel

%description -n %{develname}
This package contains the header files and libraries
necessary for developing programs using libgsnmp.

%prep

%setup -q
%patch0 -p0

%build
autoreconf -fis

%configure2_5x
%make

%install
rm -rf %{buildroot}

%makeinstall

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README 
%{_bindir}/gsnmp-get
%{_mandir}/man1/gsnmp-get.*

%files -n %{lib_name}
%{_libdir}/libgsnmp.so.*

%files -n %{develname}
%{_includedir}/%{name}
%{_libdir}/libgsnmp.a
%{_libdir}/libgsnmp.la
%{_libdir}/libgsnmp.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/aclocal/%{name}.m4


%changelog
* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-5mdv2009.0
+ Revision: 234827
- fix linkage

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - fix description-line-too-long

* Sat Jan 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2.0-3mdv2008.1
+ Revision: 150239
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Crispin Boylan <crisb@mandriva.org>
    - Bump release

* Sun Aug 19 2007 Crispin Boylan <crisb@mandriva.org> 0.2.0-1mdv2008.0
+ Revision: 66724
- New devel naming policy

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages


* Tue Jan 16 2007 Crispin Boylan <crisb@mandriva.org> 0.2.0-1mdv2007.0
+ Revision: 109642
- Initial mandriva package
- Create gsnmp

